import cx from 'classnames';
import React, { ReactChild } from 'react';
import { Icon } from '../icon/Icon';
import styles from './button.css';

type IconButtonProps = {
  icon: string,
  buttonClassName?: string,
  iconClassName?: string,
  onClick?: () => void
};

function IconButton ({icon, buttonClassName, iconClassName, onClick}: IconButtonProps) {
  return (
    <button className={cx(styles.iconButton, buttonClassName)} {...{onClick}}>
      <Icon {...{icon}} className={cx(iconClassName)} />
    </button >
  );
}

export {
  IconButton
};
