import React, { ChangeEvent, useContext } from 'react';
import { AppContext } from '../../layout/AppContext';
import { getDateString } from '../../utils/date';
import styles from './caloriesDateInput.css';

function CaloriesDateInput () {
  const {selectedDate, setSelectedDate, setSelectedItem} = useContext(AppContext);

  function onDateChange (event: ChangeEvent<HTMLInputElement>) {
    const newDate = (new Date(event.target.value)).getTime();
    setSelectedDate(newDate);
    setSelectedItem();
  }

  const date = new Date(selectedDate);
  const selectedDateString = getDateString(date);

  return (
    <div>
      <span>{date.toLocaleDateString(navigator.language, { weekday: 'short'})}, </span>
      <input required type="date" value={selectedDateString} onChange={onDateChange}
             className={styles.caloriesDateInput} />
    </div>
  );
}

export {
  CaloriesDateInput
};
