import React, { useContext } from 'react';
import { CaloriesDateInput } from '../../components/caloriesList/CaloriesDateInput';
import { CaloriesSum } from '../../components/caloriesList/CaloriesSum';
import { haveSameDay } from '../../utils/date';
import { AppContext } from '../AppContext';
import styles from './pageHeader.css';

function PageHeader () {
  const {calorieItems, selectedDate} = useContext(AppContext);

  const calories = calorieItems.filter(({timestamp}) => haveSameDay(timestamp, selectedDate));

  return (
    <header id="pageHeader" className={styles.pageHeader}>
      <CaloriesDateInput />
      <CaloriesSum {...{calories}} />
    </header>
  );
}

export {
  PageHeader
};
